//-----------------------------------------------------------------
// Motor 9 I-Vars.h - Created by fredf
//
// Description: 
// Created: 2/8/2012 10:20:13 AM
//-----------------------------------------------------------------
// Machine Name : PT7/PT8
//
//$Modtime: 5/29/12 2:52p $
//$Revision: 2 $
//$Author: Fredf $

#ifndef _MOTOR_9_I_VARS_H__	// don't allow multiple loads
#define _MOTOR_9_I_VARS_H__

I900=1			//Motor 9 Activate
I901=0			//Motor 9 Commutation Enable
I902=4347		//Motor 9 Command Output Address
I903=13585		//Motor 9 Position Address
I904=13585		//Motor 9 'Velocity' Address
I905=13760		//Motor 9 Master Position Address
I906=0			//Motor 9 Master Follow Enable
I907=96			//Motor 9 Master Scale Factor
I908=96			//Motor 9 Position Scale Factor
I909=96			//Motor 9 Velocity Scale Factor
I910=0			//Motor 9 Power-on Servo Position Address
I911=0			//Motor 9 Fatal Following Error Limit
I912=0			//Motor 9 Warning Following Error Limit
I913=0			//Motor 9 + Software Position Limit
I914=0			//Motor 9 - Software Position Limit
I915=8388608	//Motor 9 Abort/Lim Decel Rate
I916=8388608	//Motor 9 Maximum Velocity
I917=8388608	//Motor 9 Maximum Acceleration
I918=0			//(Reserved)
I919=8388608	//Motor 9 Maximum Jog Acceleration
I920=0			//Motor 9 Jog/Home Acceleration Time
I921=1			//Motor 9 Jog/Home S-Curve Time
I922=8388608	//Motor 9 Jog Speed
I923=32			//Motor 9 Homing Speed And Direction
I924=5373952	//Motor 9 Flag Mode Control
I925=13797		//Motor 9 Flag Address
I926=0			//Motor 9 Home Offset
I927=0			//Motor 9 Position Rollover Range
I928=160		//Motor 9 In-Position Band
I929=0			//Motor 9 Output/1st Phase Offset
I930=10000		//Motor 9 PID Proportional Gain
I931=0			//Motor 9 PID Derivative Gain
I932=0			//Motor 9 PID Velocity Feed Forward Gain
I933=50000		//Motor 9 PID Integral Gain
I934=1			//Motor 9 PID Integration Mode
I935=0			//Motor 9 PID Acceleration Feed Forward Gain
I936=0			//Motor 9 PID Notch Filter Coefficient N1
I937=0			//Motor 9 PID Notch Filter Coefficient N2
I938=0			//Motor 9 PID Notch Filter Coefficient D1
I939=0			//Motor 9 PID Notch Filter Coefficient D2
I940=0			//Motor 9 Trajectory Filter Constant
I941=0			//Motor 9 Desired Position Limit Band
I942=0			//Motor 9 Amplifier Flag Address
I943=0			//Motor 9 Overtravel-Limit Flag Address
I944=0			//(Reserved)
I945=0			//(Reserved)
I946=0			//(Reserved)
I947=0			//(Reserved)
I948=0			//(Reserved)
I949=0			//(Reserved)
I950=0			//(Reserved)
I951=0			//(Reserved)
I952=0			//(Reserved)
I953=0			//(Reserved)
I954=0			//(Reserved)
I955=0			//Motor 9 Commutation Table Address Offset
I956=0			//Motor 9 Commutation Delay Compensation
I957=0			//Motor 9 Continuous Current Limit
I958=0			//Motor 9 Integrated Current Limit
I959=0			//Motor 9 User Written Servo Enable
I960=0			//Motor 9 Servo Cycle Period Extension
I961=0			//Motor 9 Current Loop Integral Gain
I962=0			//Motor 9 Current Loop Prop. Gain (Forward Path)
I963=4194304	//Motor 9 Integration Limit
I964=-16		//Motor 9 'Deadband Gain'
I965=8			//Motor 9 Deadband Size
I966=6527		//Motor 9 PWM Scale Factor (PMAC2 Only)
I967=4194304	//Motor 9 Position Error Limit
I968=0			//Motor 9 Friction Feedforward
I969=20480		//Motor 9 Output Command Limit/Scale
I970=0			//Motor 9 Number of Commutation Cycles (N)
I971=1000		//Motor 9 Counts Per N Commutation Cycles
I972=1365		//Motor 9 Commutation Phase Angle
I973=0			//Motor 9 Phase Finding Output Value
I974=0			//Motor 9 Phase Finding Time
I975=0			//Motor 9 Phase Position Offset
I976=0			//Motor 9 Current Loop Proportional Gain (Back Path)
I977=0			//Motor 9 Induction Motor Magnetization Current
I978=0			//Motor 9 Induction Motor Slip Gain
I979=0			//Motor 9 2nd Phase Output (DAC) Bias
I980=0			//Motor 9 Power-Up Mode
I981=0			//Motor 9 Power-On Phase Position Address
I982=0			//Motor 9 Current loop Feedback Address
I983=13797		//Motor 9 Commutation Position Address
I984=0			//Motor 9 Current-Loop Feedback Mask Word
I985=0			//Motor 9 Backlash Take-up Rate
I986=0			//Motor 9 Backlash Size
I987=64			//Motor 9 Backlash Hysteresis
I988=0			//Motor 9 In-Position Number of Cycles
I989=0			//(Reserved)
I990=0			//Motor 9 Rapid Speed Select
I991=0			//Motor 9 Power-on Phase Position Format
I992=10			//Motor 9 Jog-To-Position Calculation Time
I993=0			//(Reserved)
I994=0			//(Reserved)
I995=0			//Motor 9 Power-On Servo Position Format
I996=0			//Motor 9 command Output Mode Control
I997=0			//Motor 9 Position Capture/Trigger Mode Control
I998=0			//Motor 9 Third-Resolver Gear Ratio
I999=0			//Motor 9 Second-Resolver Gear Ratio

#endif